import { NotificationConfiguration } from './notification-configuration';
import { Theme } from './theme';
import * as i0 from "@angular/core";
export declare class NotificationComponent {
    protected readonly _content: import("@angular/core").WritableSignal<string>;
    protected readonly _closeButtonLabel: import("@angular/core").WritableSignal<string>;
    /**
     * Whether or not the notification is entering into view.
     */
    protected readonly _enter: import("@angular/core").WritableSignal<boolean>;
    protected readonly _theme: import("@angular/core").WritableSignal<Theme>;
    protected readonly _className: import("@angular/core").WritableSignal<string | undefined>;
    private _afterClosedListener?;
    open(notificationConfiguration: NotificationConfiguration): void;
    setAfterClosedListener(fn: () => void): void;
    close(): void;
    protected _onPreventClickEventFromBubbling(event: Event): void;
    protected _onAnimationEnd(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NotificationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NotificationComponent, "lc-notification", never, {}, {}, never, never, false, never>;
}
